Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.sf.jasperreports.engine.JRException
                  net.sf.jasperreports.engine.design.JRValidationException

All Implemented Interfaces:
  java.io.Serializable

    public class JRValidationException

extends JRException

An exception that contains a list of `report validation faults`.

Version:
  $Id: JRValidationException.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRVerifier`, Serialized Form

Constructor Summary
`JRValidationException(java.util.Collection faults)` Create an exception.
`JRValidationException(JRValidationFault fault)` Creates a validation exception containing a single fault.
`JRValidationException(java.lang.String message, java.util.Collection faults)` Create a validation exception.
`JRValidationException(java.lang.String message, java.lang.Object source)` Creates a validation exception containing a single fault.

Method Summary
`protected static java.lang.String` | `appendMessages(java.lang.String header, java.util.Collection faults)`
`java.util.Collection` | `getFaults()` Returns the list of `validation faults`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JRValidationException

    public JRValidationException(java.lang.String message,
                                 java.lang.Object source)

  Creates a validation exception containing a single fault.

  Parameters:
    `message` - the validation message
    `source` - the validation source
  See Also:
    `JRValidationFault`

### JRValidationException

    public JRValidationException(JRValidationFault fault)

  Creates a validation exception containing a single fault.

  Parameters:
    `fault` - the fault

### JRValidationException

    public JRValidationException(java.util.Collection faults)

  Create an exception.

  Parameters:
    `faults` - a list of `validation faults`

### JRValidationException

    public JRValidationException(java.lang.String message,
                                 java.util.Collection faults)

  Create a validation exception.

  Parameters:
    `message` - the message to be used as header for the exception message
    `faults` - a list of `validation faults`

Method Detail

### getFaults

    public java.util.Collection getFaults()

  Returns the list of `validation faults`.

  Returns:
    the list of `JRValidationFault` instances.

### appendMessages

    protected static java.lang.String appendMessages(java.lang.String header,
                                                     java.util.Collection faults)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com